www.rtmj.net > linux php Curl扩展已经安装为什么不能用

linux php Curl扩展已经安装为什么不能用

1.将PHP安装文件夹下的三个文件php_curl.dll(可能在ext文件夹中),libeay32.dll,ssleay32.dll 复制到 %windir%/system32下; 2.打开php.ini(可能在PHP环境的安装目录下,默认在c:\WINDOWS目录下),将;extension=php_curl.dll头部的分号去掉; 3.重...

首先看下php扩展库里有没有php_curl.dll这个扩展库文件 没有的话要去下载一个 下载地址:网页链接 修改php.ini文件:extension=php_curl.dll然后phpinfo查看一下有没有curl相关信息 有的话就说明开启成功

步骤如下: 1. 进到对应扩展目录 # cd /usr/local/src/php-5.2.12/ext/curl 2. 调用phpize程序生成编译配置文件 # /usr/local/php5/bin/phpize 3. 调用configure生成Makefile文件,然后调用make编译,make install安装 # ./configure -with-curl...

# 进入源文件扩展目录 cd ~/source/php-x.x.x/ext/curl # 已安装二进制 /usr/local/bin/phpize # 配置环境 ./configure --with-php-config=/usr/local/bin/php-config make make install 生成curl.so 在php.ini加上即可

拓展和php版本是对应的,你5.4的php就只能用5.4的拓展,linux环境的话安装拓展很简单啊,直接yum装就好了,yum会自动帮你解库之间的依赖问题

检查PHP是否开启了cURL扩展:在php.ini中查找php_curl.dll或php_curl.so是否存在,并且未被注释(行首有#的为被注释的行),如果不存在,添加一行,如果被注释,删除注释(行首的#号)。操作完需要重启php 确保当前系统存在所需要的库:为了使用...

那不是至少要7.10.5 吗? 你的curl 才 7.10.1 啊

-A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT -A OUTPUT -m state --state RELATED,ESTABLISHED -j ACCEPT 你可以去看下《Linux就该这么学》这本书的第八章,详细介绍了防火墙的用法。

你先重启一下apache试试。然后再试试下边两种办法: 1.如果在php安装路径的ext目录下已经有了php_curl.dll,那么在php.ini中找到extension=php_curl.dll并去掉注释,改成extension_dir=d:\php\ext(假设ext路径是d:\php\ext);将php_curl.dll,lib...

一般情况下php都已经集成了curl,只需 1、#vim /etc/php.ini (你的php.ini文件路径) 找到;extension=php_curl.dll, (去掉前面的分号。 保存退出。) 2、#service httpd restart (重启apache)

网站地图

All rights reserved Powered by www.rtmj.net

copyright ©right 2010-2021。
www.rtmj.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com